--- title: "Change node type" slug: "ses-sethotwarmnode" updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/ses-sethotwarmnode" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Change node type Available in VPC Change the type of a search engine cluster data node. The types of master nodes and manager nodes can't be changed. Caution Technical support may not be available if problems arise due to type changes. Please make your decision carefully when changing the type. Note Hot, Warm, and Cold node types provided by OpenSearch are supported. Cold will be supported in the future using the Object Storage method. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/cluster/setHotWarmNode (Korea Region) | | POST | /api/sgn-v2/cluster/setHotWarmNode (Singapore Region) | | POST | /api/jpn-v2/cluster/setHotWarmNode (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | String | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-vpcsearchengine-cluster-getclusterinfolist). | | `nodeSpecList` | Array | Required | Node type list: [nodeSpecList](/docs/en/ses-sethotwarmnode#nodeSpecList) | #### `nodeSpecList` The following describes `nodeSpecList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `computeInstanceNo` | String | Required | Data node server instance number - Manager node or master node server instance numbers can't be entered. - See [Get node list](/docs/en/analytics-vpcsearchengine-cluster-getclusternodelist). | | `nodeStorageRole` | String | Required | Node type - `HOT` \| `WARM` - `HOT`: Hot node - `WARM`: Warm node | ### Request example The request example is as follows: ``` curl --location --request POST 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/setHotWarmNode' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "serviceGroupInstanceNo": "1037*****", "nodeSpecList": [ { "computeInstanceNo": "1037*****", "nodeStorageRole": "HOT" }, { "computeInstanceNo": "1037*****", "nodeStorageRole": "WARM" }, { "computeInstanceNo": "1037*****", "nodeStorageRole": "WARM" } ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Boolean | - | Response result - `true` \| `null` - `true`: Succeeded - `null`: Failed | | `requestId` | String | - | ID for the request - UUID format | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": true, "requestId": "bf431869-****-****-****-c6658cdb4658" } ```